Cookies op Tweakers

Tweakers maakt gebruik van cookies, onder andere om de website te analyseren, het gebruiksgemak te vergroten en advertenties te tonen. Door gebruik te maken van deze website, of door op 'Ga verder' te klikken, geef je toestemming voor het gebruik van cookies. Wil je meer informatie over cookies en hoe ze worden gebruikt, bekijk dan ons cookiebeleid.

Meer informatie

Door , , 11 reacties
Bron: WordPress

WordPress heeft bekendgemaakt dat er twee nieuwe versies van zijn weblogscript beschikbaar zijn. WordPress is een weblogprogramma dat onder de gpl-licentie valt. De software kan volgens de ontwikkelaars binnen vijf minuten draaien op een computer waarop PHP en MySQL staat. Naast het 'bloggen' is het ook mogelijk om WordPress uit te breiden door middel van plugins en themes. Het gaat dit keer om beveilingsupdates waarmee onder andere een cross-site scripting vulnerability in uploads.php in versie 2.2.2 en een Sql injection blind fishing exploit in versie 2.0.11 worden opgelost. De aankondiging ziet er als volgt uit:

WordPress 2.2.2 and 2.0.11:

Today we have two security-related releases available for both users of our main 2.2 branch and the legacy 2.0 branch. As these releases include only security and minor bugfixes they should not cause any plugin or theme compatibility issues, so you have no good excuse not to upgrade.

On our Trac you can see the bugs closed for 2.2.2 and 2.0.11 to get more details about the problems fixed. With a little more Trac magic you can see all the changed files for 2.2.2 or 2.0.11.

Our download page is always the best place to get the latest release, and our legacy page now has the latest in the 2.0 branch.

As always, we have upgrade instructions available and an extended upgrade guide.

Thanks to Alex C. and Benjamin Flesch for help with this release.[break]De volgende twee bestanden staan klaar:
* WordPress 2.2.2
* WordPress 2.0.11
Moderatie-faq Wijzig weergave

Reacties (11)

Voor degene die het updaten van Wordpress omslachtig vinden, raad ik deze plugin aan:
http://www.zirona.com/software/wordpress-instant-upgrade/

Werkt perfect. Eén druk op de knop en je hebt de nieuwste versie.
ik wil iedereen waarschuwen voor deze plugin!

vanmiddag met deze instant upgrade plugin heb ik WP proberen te updaten, na de upgrade liep het weblog niet meer.

een groot gedeelte van de middag zitten zoeken naar het probleem, zelf de upgrade handmatig meerdere malen toegepast, apache gechecked, php gechecked, eaccelerator gechecked. niets leek te helpen.

bleek dat deze plugin een bestand van een andere plugin (wpg2) had verwijderd. iets waar hij gewoon vanaf had moeten blijven!

al met al heeft het me veel te veel tijd gekost en ik zal instant upgrade nooit meer proberen. gelukkig draait het geheel nu weer vloeiend.
Daarom moet je ook voordat je gaat updaten een backup maken.

Ik probeerde deze plugin ook maar ik kreeg bij het uitvoeren van de update een hele lijst errors.
Backup terugzetten en handmatig update uitgevoerd.
Bedankt voor deze tip. Heb je deze melding ook doorgegeven aan de makers van de plugin, zodat deze in dit probleem kunnen verhelpen in een toekomstige release van de plugin.
Leuk spul, maar ik die het toch liever met de hand. Ik ben altijd wat huiverig voor dat soort scripts. Ik gok dat hij het gewijzigde bestanden pakket over je huidige installatie heen schrijft. Het zou mooier zijn als Wordpress dit standaard integreert, zal wel nooit gebeuren maar handig zou het zeker zijn. :P

[Reactie gewijzigd door Dubbeldrank op 7 augustus 2007 14:58]

't is sowieso een goed idee om voor je upgrades even een backup te maken. Ik heb het nu al een aantal keren geprobeerd, maar vooralsnog geen problemen met deze plugin

[Reactie gewijzigd door m00se op 7 augustus 2007 19:07]

Thanks! Ga ik proberen!
Ik gebruik nog WordPress v2.1 , kan ik de nieuwste patch er gewoon overheengooien of moet ik eerst een reeks oudere patches installeren?
Je kan altijd de laatste erop gooien :)
Kijk ook op de website van WordPress, daar staat een uitgebreide Upgrade instructies. Overigens is het wel handig om even op het forum van wordpress te kijken aangezien er nogal eens problemen zijn gemeld met betrekking to het upgraden van 2.1.x naar 2.2.x. Zie bijvoorbeeld ook dit bericht met problemen waar de beheerder van www.spoenk.nl tegenaan liep.
Ik maak eerst altijd een backup van m'n wordpress installatie en database voor ik me aan een update waag. Laatst was ik ook opzoek naar een plugin om je plugins te controleren op updates. Al Googlend kwam ik hier terecht, zie er veel belovend uit.

http://groups.google.com/...b/wordpress-update-plugin

Op dit item kan niet meer gereageerd worden.



Apple iOS 10 Google Pixel Apple iPhone 7 Sony PlayStation VR AMD Radeon RX 480 4GB Battlefield 1 Google Android Nougat Watch Dogs 2

© 1998 - 2016 de Persgroep Online Services B.V. Tweakers vormt samen met o.a. Autotrack en Carsom.nl de Persgroep Online Services B.V. Hosting door True